curl --request POST \
--url https://api.myscalev.com/v3/products/{product_id}/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partner_unique_id": "<string>"
}
'{
"affiliate_pro_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"affiliate_pro_links": [
{
"checkout_url": "<string>",
"domain": "<string>",
"product_url": "<string>"
}
],
"affiliate_status": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"id": 123,
"message_to_product_owner": "<string>",
"partner": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"partnership_type": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"requested_at": "2023-11-07T05:31:56Z",
"store_id": 123
}Requires the product:update machine scope. Creates a new product partner.
curl --request POST \
--url https://api.myscalev.com/v3/products/{product_id}/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partner_unique_id": "<string>"
}
'{
"affiliate_pro_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"affiliate_pro_links": [
{
"checkout_url": "<string>",
"domain": "<string>",
"product_url": "<string>"
}
],
"affiliate_status": "<string>",
"approved_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"custom_domains": [
{
"business_id": 123,
"full_url": "<string>",
"id": 123
}
],
"id": 123,
"message_to_product_owner": "<string>",
"partner": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"partnership_type": "<string>",
"rejected_at": "2023-11-07T05:31:56Z",
"requested_at": "2023-11-07T05:31:56Z",
"store_id": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Partner data
Partner Unique ID
Product partner created successfully
A partner associated with a product
Approved affiliate_pro custom domains for this partnership
Show child attributes
Affiliate Pro links for partners (product + checkout, includes ap=<store_short_unique_id>)
Show child attributes
Status of the partnership (pending, approved, rejected, banned)
Timestamp when partnership was approved
Timestamp when the product partner was created
List of custom domains where the product page can be viewed
Show child attributes
Unique identifier of the product partner
Message from partner when requesting partnership
Show child attributes
Type of partnership (affiliate, affiliate_pro, or reseller)
Timestamp when partnership was rejected
Timestamp when partnership was requested
Store ID assigned for affiliate_pro routing